
// (c) COPYRIGHT URI/MIT 1997-98
// Please read the full copyright statement in the file COPYRIGHT.  
//
// Authors: reza (Reza Nekovei)

// FreeFrom sub-class implementation for FFByte,...FFGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 6/18/97

// $Log: FFFunction.cc,v $
// Revision 1.6  1999/05/27 17:02:22  jimg
// Merge with alpha-3-0-0
//
// Revision 1.5.2.1  1999/05/20 21:40:45  edavis
// Fix spelling of COPYRIGHT and remove some #if 0 stuff.
//
// Revision 1.5  1999/05/04 02:55:36  jimg
// Merge with no-gnu
//
// Revision 1.4.12.1  1999/05/01 04:40:29  brent
// converted old String.h to the new std C++ <string> code
//
// Revision 1.4  1998/08/13 20:24:25  jimg
// Fixed read mfunc semantics
//
// Revision 1.3  1998/04/21 17:13:48  jimg
// Fixes for warnings, etc
//
// Revision 1.2  1998/04/16 18:11:06  jimg
// Sequence support added by Reza

#include "config_ff.h"

static char rcsid[] not_used = {"$Id: FFFunction.cc,v 1.6 1999/05/27 17:02:22 jimg Exp $"};

#ifdef _GNUG_
#pragma implementation
#endif

#include <assert.h>

#include "FFFunction.h"

Function *
NewFunction(const string &n)
{
    return new FFFunction(n);
}

// protected

BaseType *
FFFunction::ptr_duplicate()
{
    return new FFFunction(*this);
}

// public

FFFunction::FFFunction(const string &n) : Function(n)
{
}

FFFunction::~FFFunction()
{
}

bool
FFFunction::read(const string &, int &error)
{
    assert("This mfunc should never be called" && false);
    error = 1;
    return false;
}
